let BlogSocialController = {
	url: '',

	resetData() {
		let self = this;

		self.url = 'https://blog.sociallabs.biz';
	},

	setEvents() {
		let self = this;
		self.resetData();

		// Reducción de Header
		headerSectionHeight(0);

		self.printIframe();

		let parameters = {
			version: sessionStorage['STCMBackEnd:versionCtrl'],
			compilacion: sessionStorage['STCMBackEnd:versionCtrlCompilacion']
		};
		ajaxComunCallWithCallback('setLastVersionControlled', parameters, function(ajaxReturn) {
			if(ajaxReturn) {
				$('#blog_social_news').hide();
				console.log('Last version controlled: achieved');
			}
		});
	},

	printIframe() {
		let self = this;

		let iframe = `
			<div class="">
				<iframe id="blogIframe" src="${self.url}" class="w-100 he-cal-100vh-n66 border-0" allowfullscreen></iframe>
			</div>
		`;
		$('#iframeBlogSocial').html(iframe);
	}
};